#pragma once
#include <array>
#include <random>
#include <string>
#include <vector>

class Wallpapers {
	public:

	Wallpapers(const std::string& directoryPath);

	void shuffle();

	const std::string& next();

	private:

	bool isValidPath(const std::string& path) const;

	std::string directoryPath;
	std::vector<std::string> wallpapersPath;
	std::vector<std::string> wallpapersPathQueue;

	std::random_device r;
	std::default_random_engine e1;
	std::uniform_int_distribution<int> uniformDist;
	int currentWallpaperIndex = 0;
};
